Loading...
Searching...
No Matches
AVRational Struct Reference
libavutil » Mathematics » AVRational

Rational number (pair of numerator and denominator). More...

`#include <libavutil/rational.h>`

## Data Fields

int | num
| Numerator.
int | den
| Denominator.

## Detailed Description

Rational number (pair of numerator and denominator).

Examples
  decode_filter_audio.c, decode_filter_video.c, encode_video.c, filter_audio.c, mux.c, remux.c, transcode.c, and vaapi_encode.c.

Definition at line 58 of file rational.h.

## Field Documentation

## num

int AVRational::num

Numerator.

Examples
  decode_filter_audio.c, decode_filter_video.c, transcode.c, and transcode_aac.c.

Definition at line 59 of file rational.h.

Referenced by av_cmp_q(), av_inv_q(), av_q2d(), init_filter(), init_filters(), init_filters(), and open_output_file().

## den

int AVRational::den

Denominator.

Examples
  decode_filter_audio.c, decode_filter_video.c, transcode.c, and transcode_aac.c.

Definition at line 60 of file rational.h.

Referenced by av_cmp_q(), av_inv_q(), av_q2d(), init_filter(), init_filters(), init_filters(), and open_output_file().

The documentation for this struct was generated from the following file:

- libavutil/rational.h